## org.hibernate.cfg
Class Mappings.PropertyReference

    java.lang.Object
      org.hibernate.cfg.Mappings.PropertyReference

All Implemented Interfaces:
  Serializable

Enclosing interface:
  Mappings

    public static final class Mappings.PropertyReference

extends Object
implements Serializable

Represents a property-ref mapping.

TODO : currently needs to be exposed because Configuration needs access to it for second-pass processing

See Also:
  Serialized Form

Field Summary
`String` `propertyName`
`String` `referencedClass`
`boolean` `unique`

Constructor Summary
`Mappings.PropertyReference(String referencedClass, String propertyName, boolean unique)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### referencedClass

    public final String referencedClass

### propertyName

    public final String propertyName

### unique

    public final boolean unique

Constructor Detail

### Mappings.PropertyReference

    public Mappings.PropertyReference(String referencedClass,
                                      String propertyName,
                                      boolean unique)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.